ELAN469D touch pad not working

Bug #1795292 reported by Patrick Van Oosterwijck on 2018-10-01
48
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
linux (Ubuntu)
Medium
Unassigned

Bug Description

I installed Bionic Beaver and now upgraded to Cosmic Cuttlefish on this Lenovo Ideapad 330S-15ARR laptop. The touch pad doesn't work in either.

Some possibly relevant info from dmesg:
i2c_hid i2c-ELAN469D:00: i2c-ELAN469D:00 supply vdd not found, using dummy regulator
i2c_designware AMDI0010:01: controller timed out

ProblemType: Bug
DistroRelease: Ubuntu 18.10
Package: linux-image-4.18.0-7-generic 4.18.0-7.8
ProcVersionSignature: Ubuntu 4.18.0-7.8-generic 4.18.5
Uname: Linux 4.18.0-7-generic x86_64
ApportVersion: 2.20.10-0ubuntu11
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: xorbit 2086 F.... pulseaudio
 /dev/snd/pcmC1D0p: xorbit 2086 F...m pulseaudio
 /dev/snd/controlC0: xorbit 2086 F.... pulseaudio
CurrentDesktop: GNOME
Date: Sun Sep 30 23:14:26 2018
InstallationDate: Installed on 2018-09-20 (10 days ago)
InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
MachineType: LENOVO 81FB
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 amdgpudrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-7-generic root=UUID=4d91f09e-6122-4dd4-81fc-482465f8f0e7 ro noapic processor.max_cstate=1 rcu_nocbs=0-7 pcie_aspm=off pci=noaer quiet splash vt.handoff=1 elan_i2c.dyndbg=+p
RelatedPackageVersions:
 linux-restricted-modules-4.18.0-7-generic N/A
 linux-backports-modules-4.18.0-7-generic N/A
 linux-firmware 1.175
SourcePackage: linux
UpgradeStatus: Upgraded to cosmic on 2018-09-30 (0 days ago)
dmi.bios.date: 06/08/2018
dmi.bios.vendor: LENOVO
dmi.bios.version: 7WCN22WW
dmi.board.asset.tag: No Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709WIN
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo ideapad 330S-15ARR
dmi.modalias: dmi:bvnLENOVO:bvr7WCN22WW:bd06/08/2018:svnLENOVO:pn81FB:pvrLenovoideapad330S-15ARR:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrLenovoideapad330S-15ARR:
dmi.product.family: ideapad 330S-15ARR
dmi.product.name: 81FB
dmi.product.sku: LENOVO_MT_81FB_BU_idea_FM_ideapad 330S-15ARR
dmi.product.version: Lenovo ideapad 330S-15ARR
dmi.sys.vendor: LENOVO
---
ProblemType: Bug
ApportVersion: 2.20.10-0ubuntu11
Architecture: amd64
CurrentDesktop: GNOME
DistroRelease: Ubuntu 18.10
InstallationDate: Installed on 2018-09-20 (13 days ago)
InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Tags: cosmic
Uname: Linux 4.19.0-041900rc6-generic x86_64
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: Upgraded to cosmic on 2018-09-30 (2 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.19 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.19-rc6

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete

This has not worked with any kernel I've tried, from 4.15 to 4.18 to the upstream 4.19 you linked to.

Here's some relevant dmesg output from the v4.19:

[ 1.390898] i2c_hid i2c-ELAN469D:00: i2c-ELAN469D:00 supply vdd not found, using dummy regulator
[ 1.390914] i2c_hid i2c-ELAN469D:00: Linked as a consumer to regulator.0
[ 1.390915] i2c_hid i2c-ELAN469D:00: i2c-ELAN469D:00 supply vddl not found, using dummy regulator

[ 2.420872] i2c_designware AMDI0010:01: controller timed out

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream
Anthony Wong (anthonywong) wrote :

Hi Patrick, I have made some changes to the Elan driver and compiled a new kernel. Can you try the kernel in https://people.canonical.com/~ypwong/lp1795292/ and see if your touchpad works? If not, please post dmesg. Thanks.

Still doesn't work with this kernel. Did you make any changes to the i2c_designware? This error still exists and I wonder if it's related since this is a I2C touchpad.

I'm sending new logs with this kernel using ubuntu-bug below.

tags: added: apport-collected
description: updated

apport information

Well that didn't work. apport-collect complains I am running a mainline kernel and should report it upstream. So here's just the output of dmesg.

Kai-Heng Feng (kaihengfeng) wrote :

Does removing `noapic` help? Also I found that there's new BIOS version for the laptop, please try it.

The i2c controller reads the clock rate info from BIOS, so this may help.

I updated the BIOS. This allowed me to remove the "pcie_aspm=off" and "pci=noaer" kernel parameters. The others are still necessary though. Removing "noapic" makes the system hang on boot (after the initial RAM disk message I think, so I don't know how to get any data on what that's all about).

Results are the same for the Ubuntu stock 4.18 kernel and the 4.19 kernel that Anthony Wong sent me. The BIOS update didn't help with the touch pad either.

I still think this has something to do with the "i2c_designware AMDI0010:01: controller timed out" message. Any way we can get more info on what that's all about?

Not sure if this will be helpful, but I attached the output log of "fwts".

Upstream kernel 4.19.0-rc7 doesn't help either.
Anyone working on this?

nicola (khaver89) wrote :

Same here, touchpad not working in Ubuntu 18.04... on every kernel i tried

curious facts:

sudo acpidump | grep -C3 ELAN

 5B10: 39 5F 48 49 44 00 A0 13 93 54 43 50 44 0A 02 A4 9_HID....TCPD...
  5B20: 0D 53 59 4E 41 33 32 35 35 00 A0 13 93 54 43 50 .SYNA3255....TCP
  5B30: 44 0A 03 A4 0D 41 4C 50 53 31 32 31 45 00 A4 0D D....ALPS121E...
  5B40: 45 4C 41 4E 34 36 39 44 00 08 45 49 43 30 11 21 ELAN469D..EIC0.!
  5B50: 0A 1E 8E 19 00 01 00 01 02 00 00 01 06 00 80 1A ................
  5B60: 06 00 15 00 5C 5F 53 42 2E 49 32 43 44 00 79 00 ....\_SB.I2CD.y.
  5B70: 08 53 49 43 30 11 21 0A 1E 8E 19 00 01 00 01 02 .SIC0.!.........

You can see something related to ALPS

In windows 10 it was not working too but installing Alps drivers solved the problem,

dmesg | grep i2c

[ 1.290277] i2c /dev entries driver
[ 2.164938] i2c_hid i2c-ALPS121E:00: i2c-ALPS121E:00 supply vdd not found, using dummy regulator
[ 3.196351] i2c_designware AMDI0010:01: controller timed out

@nikola is this the same laptop? Here are the same pieces of data from my Lenovo Ideapad 330S-15ARR:

sudo acpidump | grep -C3 ELAN
    5B10: 39 5F 48 49 44 00 A0 13 93 54 43 50 44 0A 02 A4 9_HID....TCPD...
    5B20: 0D 53 59 4E 41 33 32 35 35 00 A0 13 93 54 43 50 .SYNA3255....TCP
    5B30: 44 0A 03 A4 0D 41 4C 50 53 31 32 31 45 00 A4 0D D....ALPS121E...
    5B40: 45 4C 41 4E 34 36 39 44 00 08 45 49 43 30 11 21 ELAN469D..EIC0.!
    5B50: 0A 1E 8E 19 00 01 00 01 02 00 00 01 06 00 80 1A ................
    5B60: 06 00 15 00 5C 5F 53 42 2E 49 32 43 44 00 79 00 ....\_SB.I2CD.y.
    5B70: 08 53 49 43 30 11 21 0A 1E 8E 19 00 01 00 01 02 .SIC0.!.........

dmesg | grep i2c
[ 1.015986] i2c /dev entries driver
[ 1.662298] i2c_hid i2c-ELAN469D:00: i2c-ELAN469D:00 supply vdd not found, using dummy regulator
[ 2.684046] i2c_designware AMDI0010:01: controller timed out

Oddly, the ACPI data is identical, but i2c_hid identifies yours as i2c-ALPS121E:00 and mine as i2c-ELAN469D:00 ?

Jake Jensen (sapphireexone) wrote :

Kernel 4.19.0-rc7
Laptop is a Lenovo IdeaPad 330S-15ARR. Same issue as everyone else.

Attempting to install various ALPS drivers doesn't work, nor does the i8042.reset workaround.

Patching elan_i2c_core to add the 469D entry also failed.

Notes: noapic is required for the laptop to load into Ubuntu.

Jake Jensen (sapphireexone) wrote :

acpidump:
    5B10: 39 5F 48 49 44 00 A0 13 93 54 43 50 44 0A 02 A4 9_HID....TCPD...
    5B20: 0D 53 59 4E 41 33 32 35 35 00 A0 13 93 54 43 50 .SYNA3255....TCP
    5B30: 44 0A 03 A4 0D 41 4C 50 53 31 32 31 45 00 A4 0D D....ALPS121E...
    5B40: 45 4C 41 4E 34 36 39 44 00 08 45 49 43 30 11 21 ELAN469D..EIC0.!
    5B50: 0A 1E 8E 19 00 01 00 01 02 00 00 01 06 00 80 1A ................
    5B60: 06 00 15 00 5C 5F 53 42 2E 49 32 43 44 00 79 00 ....\_SB.I2CD.y.
    5B70: 08 53 49 43 30 11 21 0A 1E 8E 19 00 01 00 01 02 .SIC0.!.........

Upon installing libinput, and uninstalling synaptics, all mention of ELAN has disappeared from dmesg, and /dev/input shows nothing related to mouse/ touchpad.

Hardware debugging told me nothing useful, other than the device is physically there and receiving power.

Hello,

Open bug in launchpad.net
https://bugs.launchpad.net/bugs/1795292

"I installed Bionic Beaver and now upgraded to Cosmic Cuttlefish on this Lenovo Ideapad 330S-15ARR laptop. The touch pad doesn't work in either.

Some possibly relevant info from dmesg:
i2c_hid i2c-ELAN469D:00: i2c-ELAN469D:00 supply vdd not found, using dummy regulator
i2c_designware AMDI0010:01: controller timed out"

Best regards,
--
Cristian Aravena Romero (caravena)

https://bugzilla.kernel.org/show_bug.cgi?id=201393
--
Cristian Aravena Romero (caravena)

Kai-Heng Feng (kaihengfeng) wrote :

Can you provide acpidump? Maybe the frequency provided by ACPI was wrong.

Here's the full output of acpidump.

Kai-Heng Feng (kaihengfeng) wrote :

Please also try the latest BIOS for your laptop, those settings are provided by BIOS.

Latest BIOS makes no difference, behavior is the same.

All that seems to happen here is that you make me try new BIOSes and kernels as they come out. Disappointing.

Jake Jensen (sapphireexone) wrote :

That's pretty much all you can do unless you're capable of writing drivers or reading ACPI tables yourself.

If I could do that I'd fix my problem myself. I thought reporting a bug was so people who know how to do these things could take a crack at it. But it seems there's no one at Canonical who knows about these things either.

Jake Jensen (sapphireexone) wrote :

Someone's probably working on it. I personally am. But have nothing to show yet. Most likely the same with whoever else is working on it currently

Kai-Heng Feng (kaihengfeng) wrote :

Please boot with kernel parameter "i2c_designware_core.dyndbg=+p" and attach dmesg.

Here you go. I did it on kernel 4.19 since you were going to ask me to do that next.

Jake Jensen (sapphireexone) wrote :

Does anyone have the technical sheet on this touchpad?
I've seen reference to it's clock being 133mhz, but can't confirm it as I don't own an oscilloscope.

If it's a different clock, it should be a simple patch to get it functioning normally again.

I have an oscilloscope, so I might be able to find out. A 133MHz clock though? That seems awfully high for a touch pad. Where's the reference you found?

FF8Jake (ff8jake) wrote :

I would like to add that I am encountering the same issue with ELAN469D. Tried with kernel v4.19 with no changes, not seeing it in dmesg. Please let me know if there is any way I can assist with testing.

Thanks!

Kai-Heng Feng (kaihengfeng) wrote :

The SDA hold time on your system is 72, but it's is 48 on a working RR system I tested.

So please try [1], I hardcoded SDA hold time with 48:
https://people.canonical.com/~khfeng/lp1795292/

FF8Jake (ff8jake) wrote :

Hi kaihengfeng,

Tried the hardcoded kernel on 18.04, verified the following:

1. Machine still won't boot without noapic,
2. Touchpad doesn't work, dmesg | grep -i i2c and dmesg | grep -i elan doesn't give any indication that it detected the device,
3. Confirmed with uname -a that I was running the linked 4.19 kernel.

I still have the machine provisioned with this, if there's anything else you'd like me to try with this customized kernel.

Thanks!

Tried the 4.19.0-4 you provided Kai-Heng, still doesn't work. dmesg output attached.

Unlike FF8Jake, I do have touchpad references in the output.
Is this the same laptop FF8Jake? Or what model laptop do you have?

FF8Jake (ff8jake) wrote :

Hi Patrick,

I have the 330s-15ARR. What references are you seeing? I will check on my side. Any particular boot options you're passing like noapic?

Thanks!

Kenji (dude2k5) wrote :

Also on v4.19.0, same touchpad and Laptop, Lenovo 330s-15ARR, I can test if anyone has a new build. I'd love to get this laptop working with Ubuntu :)

FF8Jake (ff8jake) wrote :

Hello,

Tried this kernel but saw no change in behavior.

Earlier, someone posted this:

dmesg | grep i2c
[ 1.015986] i2c /dev entries driver
[ 1.662298] i2c_hid i2c-ELAN469D:00: i2c-ELAN469D:00 supply vdd not found, using dummy regulator
[ 2.684046] i2c_designware AMDI0010:01: controller timed out

Mine is showing the same now, but for i2c-SYNA3255. My acpidump clearly showed elan469d though.

Thanks!

Kai-Heng Feng (kaihengfeng) wrote :

Hmm I am out of any idea. Would it be possible to ask support from Lenovo?

I tried the 4.15.0-39 kernel. It still doesn't work but there's a difference in the dmesg output, which I attached. This message is new / different:

[ 2.908167] i2c_hid i2c-ELAN469D:00: hid_descr_cmd failed

This kernel did, as before with other 4.15 kernels, fix the microphone input problem I reported here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1796582

Kinda disappointed that no progress was made yet on that bug, since 4.15 provides a working reference. Any of the other people here with the same laptop have the non-working microphone as well in 4.18 and 4.19? If so, please add your voice to that bug.

Kenji (dude2k5) wrote :

Look at what this guy did:
https://forums.lenovo.com/t5/Lenovo-IdeaPad-1xx-3xx-5xx-7xx/Lenovo-Ideapad-330-15ARR-ryzen-5-bios-doesn-t-support-linux/m-p/4251437/highlight/true#M61640

to fix touchpad(not that easy if you havent compiled a kernel yet,not that difficult either)
1)download any kernel source from kernel.org(better choose the version that you are running presently or just the next updated version of it)
      *use the command 'uname -a' to find the current kernel version

2)extract the kernel source and find the file 17.4.xx/drivers/input/mouse/elan_i2c_core.c

3)locate the line { "ELAN061C", 0 } edit that '61C' to '61E' and save that file
4)compile and use your new kernel
(this link may help if you are a newbie in kernel compiling.I simply followed it-https://medium.freecodecamp.org/building-and-installing-the-latest-linux-kernel-from-source-6d8df534...)

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
FF8Jake (ff8jake) wrote :

Hi Kenji,

Compiled the 4.18 kernel last night with the proposed changes, but have no luck. In fact, I have noticed that my keyboard doesn't work 1 out of 3 or so boots either.

I also attempted this by adding additional ACPI IDs based on how people were doing it in the Github history for the file elan_i2c_core.c (adding both ELAN061E and ELAN469D). No difference.

I don't compile the Linux kernel every day though, so would really like someone else to confirm on this one.

Thanks!
Jake

Kenji (dude2k5) wrote :

Indeed I tried as well, did not work either. I may make an account and ask the user which kernel version they used. Also seeing they keyboard issue, very strange. And my wifi says "disabled by button/airplane mode on" but there is no button the laptop, and my BIOS has wifi "enabled", so not sure why that doesn't work either.

FF8Jake (ff8jake) wrote :

So far, my wifi has worked consistently, but maybe I am just lucky. Considering the random nature of the keyboard, it makes me wonder if some of us seeing ELAN in dmesg and some not is also pure luck of the draw on that bootup as well.

Kenji (dude2k5) wrote :

Figured out my wifi issue. Can't get it working with Linux Mint, not sure why. Ubuntu works fine. I had to disable some options in my bios to get wifi (AMD security off, boot mode legacy support, boot priorty legacy first and OS optimized defaults enabled). Once I had those set, I was able to go to the grub setup and do "nomodeset" and "noapic" which makes it install and work with wifi. I tried the same options in Linux Mint but it would not get past the initial boot/setup/grub, kept getting kernel panics or ACIP errors. I can with "apci=off" but then wifi will not enable and show it "disabled by hardware", and no FN keys re-enable it. So I'll stick to Ubuntu for now, since wifi works at least. Still no idea on the touchpad, I tried a few kernels (4.17, 4.18, 4.19), tried to email someone from ELAN but got nothing so far :/

Kenji (dude2k5) wrote :

Can you guys check your BIOS version? I think that might be part of an issue. Im on 7WCN27WW

I cannot boot without noacip, but can boot without nomodeset. On the lenovo thread, 2 people did the same thing, downloaded 4.18 and changed the ELAN to 061E and it worked for them. However it does not work for me, I get the same errors as people above, supply vddl not found, using dummy regulator on Ubuntu 18.04

I flashed my BIOS with the latest version, but lenovo did a bad job. I could not save certain settings, kept getting an error. I had to reset my BIOS by taking the battery out, then it saved properly. But I wonder if something else might be wrong. It seems weird they can get it working but I cant, and Im wondering if it's the noacip causing it, because of a bad BIOS setting?

Kenji (dude2k5) wrote :

SUCCESS!!!

Ok. So I updated my bios, they just released a new version 4 days ago.

I still booted off my kernel 4.19 with modified elan 061E

So after that, still didnt work. So I went to check recovery mode. I would get a black screen on removing noacip so I wanted to see why.

Turns out I have a problem with IVRS table
https://superuser.com/questions/1052023/ioapic0-not-in-ivrs-table

Saw the problem number, for me was 32

So I put ivrs_ioapic[32]=00:14.0 in grub boot, and it boots, AND MY TOUCHPAD WORKS!

FF8Jake (ff8jake) wrote :

Hi Kenji,

I too had 7WCN27WW and went through the exact same mess of having to open it up to reset BIOS. I just noticed they have 7WCN28WW up and flashed it, but now my keyboard isn't working at all except to bring up BIOS menu and THEN fail there as well. Something majorly screwy going on with this laptop. Going to see if I can hunt down the previous bios versions and get it downgraded, then try custom kernel again.

Kenji (dude2k5) wrote :

Hm, yea that sounds almost hardware at this point. I had issues initially but they cleared up (and even my FN keys work now, idk how). I think I almost have everything working at this point, on the newest BIOS, on ubuntu 18.04 and custom 4.19.

Last thing I can suggest was I got the kernel from here instead of kernel.org, but not sure that makes a big difference

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/refs/tags

FF8Jake (ff8jake) wrote :

Hi Kenji,

My last post went in before seeing your last post. Just tried mine with STOCK kernel, removing noapic line and replacing it with ivrs_ioapic[32]=00:14.0. Boom, everything works. Touchpad, keyboard, wireless, sound. Looks like the ELAN acpi ID edit may not be needed?

Time to do some playing and make sure everything is working. :)

Kenji (dude2k5) wrote :

:)

Glad I could help! That's awesome. Simple edit was all that's needed then!

FF8Jake (ff8jake) wrote :

Okay, just went back over some things to confirm in case anyone else is encountering this issue. First, here's my setup:

1. Lenovo 330s-15arr with BIOS version 7WCN28WW.
2. BIOS settings are default for the most part (UEFI boot, etc).

With the above BIOS version, booting into Ubuntu with noapic line hoses the keyboard and it will not work again (even in the BIOS!) until the system has been booted into Windows. After booting into Windows, this seems to "reset" something on the keyboard. USB keyboard/mouse works fine though, so you can diagnose/fix this issue with that if you don't have dual boot configured.

Per Kenji's instructions above, edited /etc/default/grub and added ivrs_ioapic[32]=00:14.0 to the grub cmds, ran update-grub and now everything boots with the following to be confirmed working:

1. Wireless (including 5ghz),
2. Bluetooth,
3. Keyboard, including hotkeys in Fn+Hotkey setup (this is a toggle in the BIOS I prefer),
4. Touchpad, including multi touch scrolling and two finger tap for context menu,
5. Graphics acceleration, tested with glxinfo and glmark2.

To really drive this home, I am about to attempt a reinstall from scratch blowing away Windows. On the installer boot line, I will be adding the above ivrs_ioapic as well to ensure installer has proper resource access. This will make double sure I don't have some other customization out there helping with this.

Will report back soon.

FF8Jake (ff8jake) wrote :

My USB install stick had 18.04 on it, can confirm editing the installer line enabled keyboard/touchpad no issues in the installer; however, I am shooting for 18.10 for this laptop. Just adding the confirm here that it works for 18.04 kernel as well. Will update shortly on 18.10 fresh install.

FF8Jake (ff8jake) wrote :

Happy to confirm that I am typing this from the laptop running a fresh Ubuntu 18.10 installation. The only snag I had was after the installer completes, it doesn't want to pop up the grub menu (goes straight into booting Ubuntu), which would prompt a crash due to the grub cmd not being in place. You have to hit ESC right before the Lenovo boot logo disappears for this to pop up. After that you can edit the boot line to get booted up and edit /etc/default/grub.

Thanks again everyone for your help!

Yes, that works for me too! Thanks Kenji! Stock 4.18.0-10 kernel with `noapic` removed and `ivrs_ioapic[32]=00:14.0` added to the kernel command line makes the touch pad work. It seems the `i2c_designware` timeout error has disappeared from dmesg.

I have a couple of issues left:

- On 4.18 the microphone input doesn't work, while on 4.15 it did. See https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1796582. Are either of you seeing the same problem? If so please comment on that bug.

- Bluetooth works but I need to remove and reconnect my BT mouse all the time. On my other laptop the mouse doesn't have this problem. Bluetooth is RTL8821CE.

- What driver are you using for WiFi? My WiFi is RTL8821CE, do you guys have the same? I'm using this driver: https://github.com/tomaspinho/rtl8821ce. It works, but I'm not seeing my 5GHz network, only my 2GHz.

Thanks for all the help guys, this laptop may finally become useful after all. :)

Kenji (dude2k5) wrote :

Glad to hear :) Feels nice to be able to use this at 100% capacity. Can use this as my main OS now!

Microphone works fine for me, im on 4.16 stock Ubuntu 18.04, tested here https://www.onlinemictest.com/

Havent tested bluetooth so I cant say

Wifi I actually upgraded my card (Intel 9260 was $15 on amazon), so my issues may be a little different for that

Hi all)
Thanks for the good work, but same problem here. The model is ideapad 330-15arr (the same ryzen but without the S prefix)

  5E80: 50 44 30 08 5F 48 49 44 0D 4D 53 46 54 30 30 30 PD0._HID.MSFT000
  5E90: 31 00 08 5F 43 49 44 0D 50 4E 50 30 43 35 30 00 1.._CID.PNP0C50.
  5EA0: 14 4F 04 5F 49 4E 49 00 A0 16 93 54 50 54 59 01 .O._INI....TPTY.
  5EB0: 70 0D 45 4C 41 4E 30 36 31 45 00 5F 48 49 44 A0 p.ELAN061E._HID.
  5EC0: 17 93 54 50 54 59 0A 02 70 0D 53 59 4E 41 32 42 ..TPTY..p.SYNA2B
  5ED0: 34 41 00 5F 48 49 44 A0 16 93 54 50 54 59 0A 03 4A._HID...TPTY..
  5EE0: 70 0D 41 55 49 31 36 36 38 00 5F 48 49 44 A4 00 p.AUI1668._HID..

ELAN061E in acpidump

latest 4.19.6 kernel from ukuu

ivrs_ioapic[32]=00:14.0 did not help.

Followed the tutorial on ivrs_table and now I have no errors in dmesg))
Still no touchpad.
But I did not recompile the kernel... hope for an update

Kenji (dude2k5) wrote :

Dont have anything much to add, but just wanted to mention:

I was on Ubuntu for a few months but kept getting freezes randomly. It would just stop in the middle of anything, could be the browser, could be a video, could be when it goes to sleep.

Not sure if it was a hardware issue (SSD), but I changed to my NVME drive and also went to Linux Mint 19.1. Last time I tried (I think mint 19?), the ivrs_ioapic command did not work, however this time it did (at least on 19.1). Only problem is when you boot into the setup screen, the screen is fractured, it doesn't display right. So do "nomodeset" to get it installed. Once you install it and boot into mint, upgrade the kernel to 4.20. That fixed my screen issue. Everything else works perfect when the ivrs added. Haven't had and freezing yet either, so crossing my fingers.

Kai-Heng Feng (kaihengfeng) wrote :

Is parameter "ivrs_ioapic=" still needed?

Kyle Terry (gatewaytohell1987) wrote :

Hey everyone. I was directed here from askubuntu. Having the same issue. No wifi or touchpad. Although I updated to the latest BIOS through windows before making the switch to ubuntu. Before looking around, I was able to update to kernel v5.0.4-50004 (using ethernet to usb converter). and still no touchpad or wifi. Have there been any updates reguarding getting at least the touchpad working without having to compile the kernel?

I just updated the BIOS to the latest 7VCN46WW (Jan 2019).
Tried to boot without the `ivrs_ioapic[32]=00:14.0` kernel parameter, and the stock 4.18.0-16-generic kernel just wouldn't boot at all.
Added the parameter back and it works.

I have to note though that although the touch pad works, I cannot right click with it. Every click is interpreted as a left click. Very annoying since the keyboard doesn't have the context menu button either.

I have an Ideapad 330s 15ARR and can confirm this bug in Ubuntu 19.04. The parameter ivrs_ioapic[32]=00:14.0 fix the problem. If any help is needed to investigate and test this, I'm glad to do so.

Aniceto (aniceto) wrote :

same Ideapad 330s amd ryzen2500u.

link bellow solved the same issue on kernel 5.1 on Manjaro Linux.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1795292/comments/48

I don't have words to convey my thanks to this forum (specially Kenji (dude2k5) ). I have Lenovo 330s 15ARR Laptop. Until read this forum I used NOAPIC parameter to start Ubuntu. Otherwise it is stuck on black screen. Even though I was able to start Ubuntu, touch pad doesn't work (not identified by Ubuntu), Suspend(sleep) option does not work (led light doesn't flash, screen goes black, no response after that, only thing has to do - force shut down ) and keyboard doesn't work time to time on each boot. Finally, everything started to worked correctly after substituting NOAPIC by ivrs_ioapic[32]=00:14.0.

If you think right-click still not working use this tool "Tweaks"
Use this command : sudo apt install gnome-tweaks
Check Mouse click emulation in Keyboard and Mouse.

Kevin (toconaskevin) wrote :

Thanks to the whole community, but especially to Kenji. I had been trying to resolve the conflicts my laptop gave me for days. I have an Ideapad 330s-15ARR and I can say that replacing "noapic" with "ivrs_ioapic [32] = 00: 14.0" solves the touchpad problem (at least in my case it was the last thing to fix).
I will try later to try this type of solution in other distro linux, soon I will be giving a return of the tests. regards

Kai-Heng Feng (kaihengfeng) wrote :

Please test this kernel without "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2":
https://people.canonical.com/~khfeng/lp1795292/

It overrides IVRS IOAPIC for Lenovo ideapad 330S-15ARR.

Kenji (dude2k5) wrote :

Hi Kai-Heng Feng,

So I downloaded all the files, then ran "sudo dpkg -i linux-*.deb" (i think that is how you install the test kernel?)

When I tried to boot without IVRS or quiet splash, it got stuck on "Loading initial ramdisk" and never got past it.

So I tried to go in recovery, still got the IOAPIC[32] not in IVRS table, then eventually kernel panic again because "timer doesnt work through interrupt-remapped io-apic"
https://imgur.com/Th1mdXB

If you have more test I can try to boot to see what happens

On a side note, for everyone else:

On ubuntu and mint I had freezing happening every few days, never could last a week without it freezing at least once. However, since booting off kernel 5.2.3, ive not had any freezing yet. So you may want to try that kernel if you have also experienced freezing systems. Note, when I first booted, i got a blank cursor at the login screen. Had to install drivers from amd, and then it worked after a reboot. Still need the "ivrs_ioapic[32]=00:14.0" though. More info here

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1838176

Kai-Heng Feng (kaihengfeng) wrote :

Sorry because I mistakenly used "ivrs_ioapic[4]=00:14.0" in my patch. I've updated it as "ivrs_ioapic[32]=00:14.0" in my patch sent to upstream:

https://lkml.org/lkml/2019/8/8/286

Kenji (dude2k5) wrote :

Ah I see, I can test again once it's updated. Will the new updated files be in here (same place as last time)? Im guessing it hasn't been updated yet since it's still shows Aug 7 as the last modified date?

https://people.canonical.com/~khfeng/lp1795292/

Kai-Heng Feng (kaihengfeng) wrote :

I've uploaded new kernel to the same address, please give it a try.

Kenji (dude2k5) wrote :

Success! I am typing from kernel 5.3.0-6 without the ivrs_ioapic edit in grub. That did it.

Per https://bugs.freedesktop.org/show_bug.cgi?id=111122#c25 it seems that Lenovo released a BIOS update (1.54 / R0UET74W) to fix IVRS tables on E485. As the Ideapad 330S-14ARR and 530S-14ARR use the same mobo, I guess it is also fixed there (or going to be fixed soon).

Will the BIOS fix interfere with the kernel patch?

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-eoan' to 'verification-done-eoan'. If the problem still exists, change the tag 'verification-needed-eoan' to 'verification-failed-eoan'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-eoan
Khaled El Mously (kmously) wrote :

From the bug history, this looks like an old bug that was fixed in Ubuntu (Bionic or cosmic?) a while ago, then upstreamed to linux-stable, then brought back to disco and eoan.

The bug itself was not opened against eoan or disco, and so I don't think re-verification is needed on those 2 series.

Therefore, I will mark the bug as "verification-done" for D and E.

tags: added: verification-done-disco verification-done-eoan
removed: verification-needed-disco verification-needed-eoan

All autopkgtests for the newly accepted linux-gcp-5.3 (5.3.0-1008.9~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

linux-gcp-5.3/unknown (amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#linux-gcp-5.3

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Launchpad Janitor (janitor) wrote :
Download full text (53.1 KiB)

This bug was fixed in the package linux - 5.3.0-22.24

---------------
linux (5.3.0-22.24) eoan; urgency=medium

  * [REGRESSION] md/raid0: cannot assemble multi-zone RAID0 with default_layout
    setting (LP: #1849682)
    - Revert "md/raid0: avoid RAID0 data corruption due to layout confusion."

  * refcount underflow and type confusion in shiftfs (LP: #1850867) // CVE-2019-15793
    - SAUCE: shiftfs: Correct id translation for lower fs operations
    - SAUCE: shiftfs: prevent type confusion
    - SAUCE: shiftfs: Fix refcount underflow in btrfs ioctl handling

  * CVE-2018-12207
    - kvm: x86, powerpc: do not allow clearing largepages debugfs entry
    - SAUCE: KVM: vmx, svm: always run with EFER.NXE=1 when shadow paging is
      active
    - SAUCE: x86: Add ITLB_MULTIHIT bug infrastructure
    - SAUCE: kvm: mmu: ITLB_MULTIHIT mitigation
    - SAUCE: kvm: Add helper function for creating VM worker threads
    - SAUCE: kvm: x86: mmu: Recovery of shattered NX large pages
    - SAUCE: cpu/speculation: Uninline and export CPU mitigations helpers
    - SAUCE: kvm: x86: mmu: Apply global mitigations knob to ITLB_MULTIHIT

  * CVE-2019-11135
    - x86/msr: Add the IA32_TSX_CTRL MSR
    - x86/cpu: Add a helper function x86_read_arch_cap_msr()
    - x86/cpu: Add a "tsx=" cmdline option with TSX disabled by default
    - x86/speculation/taa: Add mitigation for TSX Async Abort
    - x86/speculation/taa: Add sysfs reporting for TSX Async Abort
    - kvm/x86: Export MDS_NO=0 to guests when TSX is enabled
    - x86/tsx: Add "auto" option to the tsx= cmdline parameter
    - x86/speculation/taa: Add documentation for TSX Async Abort
    - x86/tsx: Add config options to set tsx=on|off|auto
    - [Config] Disable TSX by default when possible

  * CVE-2019-0154
    - SAUCE: drm/i915: Lower RM timeout to avoid DSI hard hangs
    - SAUCE: drm/i915/gen8+: Add RC6 CTX corruption WA

  * CVE-2019-0155
    - SAUCE: drm/i915: Rename gen7 cmdparser tables
    - SAUCE: drm/i915: Disable Secure Batches for gen6+
    - SAUCE: drm/i915: Remove Master tables from cmdparser
    - SAUCE: drm/i915: Add support for mandatory cmdparsing
    - SAUCE: drm/i915: Support ro ppgtt mapped cmdparser shadow buffers
    - SAUCE: drm/i915: Allow parsing of unsized batches
    - SAUCE: drm/i915: Add gen9 BCS cmdparsing
    - SAUCE: drm/i915/cmdparser: Use explicit goto for error paths
    - SAUCE: drm/i915/cmdparser: Add support for backward jumps
    - SAUCE: drm/i915/cmdparser: Ignore Length operands during command matching

linux (5.3.0-21.22) eoan; urgency=medium

  * eoan/linux: 5.3.0-21.22 -proposed tracker (LP: #1850486)

  * Fix signing of staging modules in eoan (LP: #1850234)
    - [Packaging] Leave unsigned modules unsigned after adding .gnu_debuglink

linux (5.3.0-20.21) eoan; urgency=medium

  * eoan/linux: 5.3.0-20.21 -proposed tracker (LP: #1849064)

  * eoan: alsa/sof: Enable SOF_HDA link and codec (LP: #1848490)
    - [Config] Enable SOF_HDA link and codec

  * Eoan update: 5.3.7 upstream stable release (LP: #1848750)
    - panic: ensure preemption is disabled during panic()
    - [Config] updateconfigs for USB_RIO500
    - USB: rio500: Remove Rio 500 kernel driver
   ...

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.